Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::CustomEncryptData Class Reference

## Public Member Functions
| CustomEncryptData ()
| Constructor.
| CustomEncryptData (bool is_encrypt_metadata, const String &filter, const String &sub_filter)
| Constructor, with parameters. More...
| CustomEncryptData (const CustomEncryptData &other)
| Constructor, with another custom encrypt data object. More...
bool | operator!= (const CustomEncryptData &other) const
| Not equal operator. More...
CustomEncryptData & | operator= (const CustomEncryptData &other)
| Assign operator. More...
bool | operator== (const CustomEncryptData &other) const
| Equal operator. More...
void | Set (bool is_encrypt_metadata, const String &filter, const String &sub_filter)
| Set value. More...

## Public Attributes
String | filter
| The filter name of a custom security callback object. It should not be an empty string.
bool | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
String | sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## Detailed Description

This class represents some data used for class CustomSecurityHandler.

## Constructor & Destructor Documentation

## ◆ CustomEncryptData() [1/2]

foxit::pdf::CustomEncryptData::CustomEncryptData | ( | bool | is_encrypt_metadata,
|  | const String & | filter,
|  | const String & | sub_filter
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ CustomEncryptData() [2/2]

foxit::pdf::CustomEncryptData::CustomEncryptData | ( | const CustomEncryptData & | other | ) |
| inline

Constructor, with another custom encrypt data object.

Parameters

  [in] | other | Another custom encrypt data object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::CustomEncryptData::operator!= | ( | const CustomEncryptData & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another custom encrypt data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

CustomEncryptData& foxit::pdf::CustomEncryptData::operator= | ( | const CustomEncryptData & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another custom encrypt data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::CustomEncryptData::operator== | ( | const CustomEncryptData & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another custom encrypt data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::CustomEncryptData::Set | ( | bool | is_encrypt_metadata,
|  | const String & | filter,
|  | const String & | sub_filter
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.